Bug 1577458 - postfix not starting after boot
Summary: postfix not starting after boot
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: postfix
Version: 28
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Jaroslav Škarvada
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-12 07:56 UTC by Bob Gustafson
Modified: 2019-05-28 20:12 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 20:12:25 UTC
Type: Bug


Attachments (Terms of Use)

Description Bob Gustafson 2018-05-12 07:56:54 UTC
Description of problem:

  When I reboot my Fedora28 system, postfix does not restart

Version-Release number of selected component (if applicable):

  postfix -v    does not give version

  From below, version = 3.2.5

How reproducible:

  Has not been restarting after boot for several Fedora versions

Steps to Reproduce:
1. sudo shutdown -r now
2. ps ax | grep postfix    (shows postfix not running)
3.

Actual results:

  postfix not running after boot

Expected results:

  postfix should be running after boot (systemctl status shows enabled)

Additional info:

  See below for systemctl status, etc.

Immediately after boot:

[user1@hoho6 ~]$ sudo systemctl status postfix

● postfix.service - Postfix Mail Transport Agent
   Loaded: loaded (/usr/lib/systemd/system/postfix.service; enabled; vendor preset: disabled)
   Active: failed (Result: exit-code) since Thu 2018-05-10 14:52:17 CDT; 1 day 11h ago
  Process: 1105 ExecStart=/usr/sbin/postfix start (code=exited, status=1/FAILURE)
  Process: 1103 ExecStartPre=/usr/libexec/postfix/chroot-update (code=exited, status=0/SUCCESS)
  Process: 981 ExecStartPre=/usr/libexec/postfix/aliasesdb (code=exited, status=75)

May 10 14:52:14 hoho6.chidig.com systemd[1]: Starting Postfix Mail Transport Agent...
May 10 14:52:15 hoho6.chidig.com aliasesdb[981]: /usr/sbin/postconf: fatal: parameter inet_interfaces: no local interface found for 127.0.0.2
May 10 14:52:16 hoho6.chidig.com aliasesdb[981]: newaliases: fatal: parameter inet_interfaces: no local interface found for 127.0.0.2
May 10 14:52:16 hoho6.chidig.com postfix[1105]: fatal: parameter inet_interfaces: no local interface found for 127.0.0.2
May 10 14:52:17 hoho6.chidig.com systemd[1]: postfix.service: Control process exited, code=exited status=1
May 10 14:52:17 hoho6.chidig.com systemd[1]: postfix.service: Failed with result 'exit-code'.
May 10 14:52:17 hoho6.chidig.com systemd[1]: Failed to start Postfix Mail Transport Agent.

After manual start of postfix:

[user1@hoho6 ~]$ sudo systemctl start postfix
[user1@hoho6 ~]$ sudo systemctl status postfix
● postfix.service - Postfix Mail Transport Agent
   Loaded: loaded (/usr/lib/systemd/system/postfix.service; enabled; vendor preset: disabled)
   Active: active (running) since Sat 2018-05-12 02:26:13 CDT; 18s ago
  Process: 5280 ExecStart=/usr/sbin/postfix start (code=exited, status=0/SUCCESS)
  Process: 5279 ExecStartPre=/usr/libexec/postfix/chroot-update (code=exited, status=0/SUCCESS)
  Process: 5277 ExecStartPre=/usr/libexec/postfix/aliasesdb (code=exited, status=0/SUCCESS)
 Main PID: 5347 (master)
    Tasks: 6 (limit: 4915)
   Memory: 10.4M
   CGroup: /system.slice/postfix.service
           ├─5347 /usr/libexec/postfix/master -w
           ├─5348 pickup -l -t unix -u
           ├─5349 qmgr -l -t unix -u
           ├─5356 cleanup -z -t unix -u
           ├─5357 trivial-rewrite -n rewrite -t unix -u
           └─5358 smtp -t unix -u

May 12 02:26:13 hoho6.chidig.com systemd[1]: Starting Postfix Mail Transport Agent...
May 12 02:26:13 hoho6.chidig.com postfix/postfix-script[5345]: starting the Postfix mail system
May 12 02:26:13 hoho6.chidig.com postfix/master[5347]: daemon started -- version 3.2.5, configuration /etc/postfix
May 12 02:26:13 hoho6.chidig.com systemd[1]: Started Postfix Mail Transport Agent.
May 12 02:26:13 hoho6.chidig.com postfix/pickup[5348]: E3C7840140: uid=0 from=<root>
May 12 02:26:13 hoho6.chidig.com postfix/cleanup[5356]: E3C7840140: message-id=<20180512072613.E3C7840140@hoho6.chidig.com>
May 12 02:26:14 hoho6.chidig.com postfix/qmgr[5349]: E3C7840140: from=<root@hoho6.chidig.com>, size=1752, nrcpt=1 (queue active)
May 12 02:26:14 hoho6.chidig.com postfix/smtp[5358]: E3C7840140: to=<bobgus@chidig.com>, relay=a.mx.chidig.com[192.168.49.41]:25, delay=82452, >
May 12 02:26:14 hoho6.chidig.com postfix/qmgr[5349]: E3C7840140: removed
lines 4-26/26 (END)

Could be a timing issue within the boot sequence. Could be postfix misconfigured.

Postgresql also does not restart. Perhaps boot has something against components starting with 'post'

Comment 1 Ben Cotton 2019-05-02 21:48:00 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Ben Cotton 2019-05-28 20:12:25 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.